#%RAML 0.8
title: VIN Decode API
baseUri: http://www.test.io
protocols: [HTTP,HTTPS]
mediaType: aplication/json
documentation:
  - title: VIN Decode API documentation
    content: |
      Documentation part.
traits:
  - client-secret-required:
      queryParameters:
        client_id:
          type: string
          description: Client ID provided by the API Manager
          example: 3MVG9AJuBE3rTYDg69Xg
          required: true
        client_secret:
          type: string
          description: The Client Secret Key provided by the API Manager
          example: '5330510889472598433'
          required: true
        

/{VIN}/detail:
  is: [client-secret-required]
  uriParameters: 
    VIN: 
      description: Vehicle Registration Number encoded format.
      example: 19UUA568*1*******
      required: true
  get:
    description: Get vehicle Details
    queryParameters:
      accountNumber:
    responses:
      200:
        body:
          application/json:
            example: "name : arunesh"
            
  
